Add a book

Adds a new book to your store.

POST
/books

Adds a new book to your store.

Request Body

application/json

titlestringrequired

The book's title.

genreGenrerequired

The genre a book belongs to.

Value in"fiction" | "nonfiction" | "technology" | "poetry"
identifierIsbn10 | Isbn13

The book's ISBN, in either format.

Show variant attributes
identifier.typestringrequired
Value in"isbn10"
identifier.valuestringrequired

The 10-character ISBN.

notesstring

Private notes, never shown to customers.

Response Body

application/json

application/json

curl -X POST "https://example.com/books" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "genre": "fiction"  }'
{  "title": "string",  "genre": "fiction",  "identifier": {    "type": "isbn10",    "value": "string"  },  "notes": "string",  "id": "string",  "createdAt": "2019-08-24T14:15:22Z"}
{  "code": "string",  "message": "string"}